using YBEE.EQM.Core;

namespace YBEE.EQM.Application;

/// <summary>
/// 字典类型
/// </summary>
[ApiDescriptionSettings(Name = "sys-dict-type")]
[Route("sys/dict/type")]
public class SysDictTypeAppService(ISysDictTypeService dictTypeService) : IDynamicApiController
{
    /// <summary>
    /// 获取所有字典类型列表
    /// </summary>
    /// <returns></returns>
    [AllowAnonymous]
    [DisableOpLog]
    public async Task<List<SysDictTypeOutput>> GetAllList()
    {
        return await dictTypeService.GetAllList();
    }
}